Bug 301765 - Generic activity icon covers custom icon when configuring it
Summary: Generic activity icon covers custom icon when configuring it
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: activities (show other bugs)
Version: 4.8.90 (beta2)
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression, reproducible
Depends on:
Blocks:
 
Reported: 2012-06-12 18:36 UTC by Kai Uwe Broulik
Modified: 2012-06-21 14:32 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2012-06-12 18:36:14 UTC
When changing the activity icon, its generic icon (that that is made of those random pieces) covers the user-configured icon. You need to close the Activity manager and reopen it to see your configured icon.
If you use a big icon such as start-here or user-desktop you can clearly see that it is behind the generic icon.

Reproducible: Always
Comment 1 Jure Repinc 2012-06-17 13:52:44 UTC
I can confirm. Runing 4:9 Beta 2 currently
Comment 2 Marco Martin 2012-06-20 13:20:39 UTC
Git commit fbe6962a7f9b09525a494b99e2d5ad5a484fd422 by Marco Martin.
Committed on 20/06/2012 at 15:18.
Pushed by mart into branch 'master'.

make sure the right icon is shown

M  +1    -0    plasma/desktop/shell/activitymanager/package/contents/ui/ActivityDelegate.qml

http://commits.kde.org/kde-workspace/fbe6962a7f9b09525a494b99e2d5ad5a484fd422